# Retrieve a visitor with User ID

You can fetch the details of a single visitor.
Requires the `read_single_user`, `read_users_companies` or `read_write_users` OAuth scope.

Endpoint: GET /visitors
Version: 2.18
Security: bearerAuth

## Query parameters:

  - `user_id` (string, required)
    The user_id of the Visitor you want to retrieve.

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `type` (string)
    Value is 'visitor'
    Example: visitor

  - `id` (string)
    The Intercom defined id representing the Visitor.
    Example: 530370b477ad7120001d

  - `user_id` (string)
    Automatically generated identifier for the Visitor.
    Example: 8a88a590-e1c3-41e2-a502-e0649dbf721c

  - `anonymous` (boolean)
    Identifies if this visitor is anonymous.
    Example: false

  - `email` (string)
    The email of the visitor.
    Example: jane.doe@example.com

  - `phone` (string)
    The phone number of the visitor.
    Example: 555-555-5555

  - `name` (string)
    The name of the visitor.
    Example: Jane Doe

  - `pseudonym` (string)
    The pseudonym of the visitor.
    Example: Red Duck from Dublin

  - `avatar` (object)

  - `avatar.type` (string)
    Example: avatar

  - `avatar.image_url` (string)
    This object represents the avatar associated with the visitor.
    Example: https://example.com/avatar.png

  - `app_id` (string)
    The id of the app the visitor is associated with.
    Example: hfi1bx4l

  - `companies` (object)

  - `companies.type` (string)
    The type of the object
    Enum: "company.list"

  - `companies.companies` (array)
    Companies are returned in a reduced form here, with only these four keys.

  - `companies.companies.type` (string)
    The type of the object
    Enum: "company"

  - `companies.companies.company_id` (string)
    The company id you have defined for the company.
    Example: 625

  - `companies.companies.id` (string)
    The Intercom defined id representing the company.
    Example: 531ee472cce572a6ec000006

  - `companies.companies.name` (string)
    The name of the company.
    Example: Blue Sun

  - `location_data` (object)

  - `location_data.type` (string)
    Example: location_data

  - `location_data.city_name` (string)
    The city name of the visitor.
    Example: Dublin

  - `location_data.continent_code` (string)
    The continent code of the visitor.
    Example: EU

  - `location_data.country_code` (string)
    The country code of the visitor.
    Example: IRL

  - `location_data.country_name` (string)
    The country name of the visitor.
    Example: Ireland

  - `location_data.postal_code` (string)
    The postal code of the visitor.
    Example: D02 N960

  - `location_data.region_name` (string)
    The region name of the visitor.
    Example: Leinster

  - `location_data.timezone` (string)
    The timezone of the visitor.
    Example: Europe/Dublin

  - `last_request_at` (integer)
    The time the Lead last recorded making a request.
    Example: 1663597260

  - `created_at` (integer)
    The time the Visitor was added to Intercom.
    Example: 1663597223

  - `remote_created_at` (integer)
    The time the Visitor was added to Intercom.
    Example: 1663597223

  - `signed_up_at` (integer)
    The time the Visitor signed up for your product.
    Example: 1663597223

  - `updated_at` (integer)
    The last time the Visitor was updated.
    Example: 1663597260

  - `session_count` (integer)
    The number of sessions the Visitor has had.
    Example: 1

  - `social_profiles` (object)

  - `social_profiles.type` (string)
    The type of the object
    Enum: "social_profile.list"

  - `social_profiles.social_profiles` (array)

  - `owner_id` (string)
    The id of the admin that owns the Visitor.
    Example: 5169261

  - `unsubscribed_from_emails` (boolean)
    Whether the Visitor is unsubscribed from emails.
    Example: false

  - `marked_email_as_spam` (boolean)
    Identifies if this visitor has marked an email as spam.
    Example: false

  - `has_hard_bounced` (boolean)
    Identifies if this visitor has had a hard bounce.
    Example: false

  - `tags` (object)

  - `tags.type` (string)
    The type of the object
    Enum: "tag.list"

  - `tags.tags` (array)

  - `tags.tags.type` (string)
    The type of the object
    Enum: "tag"

  - `tags.tags.id` (string)
    The id of the tag.
    Example: 8482

  - `tags.tags.name` (string)
    The name of the tag.
    Example: tag_name

  - `segments` (object)

  - `segments.type` (string)
    The type of the object
    Enum: "segment.list"

  - `segments.segments` (array)

  - `segments.segments.type` (string)
    The type of the object
    Enum: "segment"

  - `segments.segments.id` (string)
    The Intercom defined id representing the segment.
    Example: 56203d455f71e8285f000020

  - `referrer` (string)
    The referer of the visitor.
    Example: https://www.google.com/

  - `utm_campaign` (string)
    The utm_campaign of the visitor.
    Example: intercom-link

  - `utm_content` (string)
    The utm_content of the visitor.
    Example: banner

  - `utm_medium` (string)
    The utm_medium of the visitor.
    Example: email

  - `utm_source` (string)
    The utm_source of the visitor.
    Example: Intercom

  - `utm_term` (string)
    The utm_term of the visitor.
    Example: messenger

  - `do_not_track` (boolean)
    Identifies if this visitor has do not track enabled.
    Example: false

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

